Versions Verwirrung mit jakarta + JavaFX

melmager

Erfahrenes Mitglied
Also erstmal mein Wissensstand:

Java EE (wildfly und glassfish) arbeitet mit Java 8
Java 8 wurde ab gekündigt und auch die EE Unterstützung ist bei Oracle rausgeflogen. Ist auch nur noch scheinbar mit OpenJava möglich

OpenJava ist bei Java 10/11 angekommen
JavaFx wurde von Gluon übernommen (auch bei oracle rausgeflogen) und ist auch mit Java 10 verbandelt

Maven und JavaFx ist eine andre Geschichte - da quäle ich grade die suchmaschine wie ich aktuell FX einbinden soll

Nun meine Frage was mache ich wenn ich auf dem Client mit FX oberfläche arbeiten will und auf der Serverseite mit Glassfish-

Muss ich echt mit 2 java Versionen arbeiten 10 und 8 ? Klingt komplex :eek:

OpenJava 8 mit FX unterstützung endet auch mit einer googel orgie